
services:
  wud:
    image: getwud/wud
    container_name: wud
    cpus: 1.0
    mem_limit: "1024m"
    mem_reservation: "256m"
    restart: unless-stopped
    ports:
      - 1000:3000
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - /docker/wud/etc:/etc/wud
      - /docker/wud/var:/var/lib/wud
    environment:
      - TZ=America/Edmonton
      - LOG_LEVEL=INFO
      - WATCHER_LOCAL_SOCKET=/var/run/docker.sock

      - AUTOUPDATE=FALSE
      - WATCHER_LOCAL_WATCHBYDEFAULT=FALSE

      - REGISTRY_LSCR_PRIVATE_USERNAME=${WUD_LSCR_USER}
      - REGISTRY_LSCR_PRIVATE_TOKEN=${WUD_GITHUB_TOKEN}
      - REGISTRY_GHCR_PRIVATE_USERNAME=${WUD_GITHUB_USER}
      - REGISTRY_GHCR_PRIVATE_TOKEN=${WUD_GITHUB_TOKEN}
      - REGISTRY_HUB_PUBLIC_LOGIN=${WUD_DOCKERHUB_USER}
      - REGISTRY_HUB_PUBLIC_TOKEN=${WUD_DOCKERHUB_TOKEN}
      - REGISTRY_CUSTOM_CODEBERG_URL=https://codeberg.org
      - REGISTRY_CUSTOM_CODEBERG_LOGIN=${WUD_CODEBERG_USER}
      - REGISTRY_CUSTOM_CODEBERG_PASSWORD=${WUD_CODEBERG_TOKEN}

